Package org.eclipse.cdt.core.dom.parser.c

## Interface ICParserExtensionConfiguration

All Known Implementing Classes:
  `AbstractCParserExtensionConfiguration`, `ANSICParserExtensionConfiguration`, `GCCParserExtensionConfiguration`

    public interface ICParserExtensionConfiguration

C parser extension configuration interface.

Since:
  4.0
See Also:
  "http://gcc.gnu.org/onlinedocs/gcc/C-Extensions.html"
Restriction:
  This interface is not intended to be implemented by clients. Clients can subclass `AbstractCParserExtensionConfiguration` instead.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`IBuiltinBindingsProvider` `getBuiltinBindingsProvider()` Provide additional built-in bindings.
`boolean` `supportAlignOfUnaryExpression()` Support for GNU extension "Inquiring on Alignment of Types or Variables".
`boolean` `supportAttributeSpecifiers()` See http://gcc.gnu.org/onlinedocs/gcc/Attribute-Syntax.html for more information on GCC's Attribute Specifiers.
`boolean` `supportDeclspecSpecifiers()` Win32 compiler extensions also supported by GCC on Win32
`boolean` `supportExtendedSizeofOperator()` Support additional parameters for the sizeof operator: 'sizeof' '(' typeid ',' expression-list ')'
`boolean` `supportFunctionStyleAssembler()` Support function style assembler definitions: 'asm' ['volatile'] [return-type] name '(' parameter-list ')' '{' assembler-code '}'
`boolean` `supportGCCOtherBuiltinSymbols()` Deprecated. use `getBuiltinBindingsProvider()` instead.
`boolean` `supportGCCStyleDesignators()` Support for GNU extension "Designated Initializers".
`boolean` `supportKnRC()` Support for Kernighan and Richie (K&R) C.
`boolean` `supportParameterInfoBlock()` Skips information in brackets provided at the beginning of a parameter declaration: void accelerate([proc=marsh] const Speed &data);
`boolean` `supportStatementsInExpressions()` Support for GNU extension "Statements and Declarations in Expressions".
`boolean` `supportTypeofUnaryExpressions()` Support for GNU extension "Referring to a Type with typeof".

### Method Detail

#### supportStatementsInExpressions

    boolean supportStatementsInExpressions()

Support for GNU extension "Statements and Declarations in Expressions".

Returns:
  `true` if support for the extension should be enabled
See Also:
  "http://gcc.gnu.org/onlinedocs/gcc/Statement-Exprs.html"

#### supportGCCStyleDesignators

    boolean supportGCCStyleDesignators()

Support for GNU extension "Designated Initializers".

Returns:
  `true` if support for the extension should be enabled
See Also:
  "http://gcc.gnu.org/onlinedocs/gcc/Designated-Inits.html"

#### supportTypeofUnaryExpressions

    boolean supportTypeofUnaryExpressions()

Support for GNU extension "Referring to a Type with typeof".

Returns:
  `true` if support for the extension should be enabled
See Also:
  "http://gcc.gnu.org/onlinedocs/gcc/Typeof.html"

#### supportAlignOfUnaryExpression

    boolean supportAlignOfUnaryExpression()

Support for GNU extension "Inquiring on Alignment of Types or Variables".

Returns:
  `true` if support for the extension should be enabled
See Also:
  "http://gcc.gnu.org/onlinedocs/gcc/Alignment.html"

#### supportKnRC

    boolean supportKnRC()

Support for Kernighan and Richie (K&R) C.

Returns:
  `true` if support for K&R C should be enabled

#### supportAttributeSpecifiers

    boolean supportAttributeSpecifiers()

See http://gcc.gnu.org/onlinedocs/gcc/Attribute-Syntax.html for more information on GCC's Attribute Specifiers.

Returns:
  `true` if support for the extension should be enabled

#### supportDeclspecSpecifiers

    boolean supportDeclspecSpecifiers()

Win32 compiler extensions also supported by GCC on Win32

Returns:
  `true` if support for the extension should be enabled

#### getBuiltinBindingsProvider

    IBuiltinBindingsProvider getBuiltinBindingsProvider()

Provide additional built-in bindings.

Returns:
  an instance of `IBuiltinBindingsProvider` or `null`

#### supportParameterInfoBlock

    boolean supportParameterInfoBlock()

Skips information in brackets provided at the beginning of a parameter declaration:
void accelerate([proc=marsh] const Speed &data);

Since:
  5.1

#### supportExtendedSizeofOperator

    boolean supportExtendedSizeofOperator()

Support additional parameters for the sizeof operator: 'sizeof' '(' typeid ',' expression-list ')'

Since:
  5.1

#### supportFunctionStyleAssembler

    boolean supportFunctionStyleAssembler()

Support function style assembler definitions: 'asm' ['volatile'] [return-type] name '(' parameter-list ')' '{' assembler-code '}'

Since:
  5.1

#### supportGCCOtherBuiltinSymbols

    @Deprecated
    boolean supportGCCOtherBuiltinSymbols()

Deprecated.
use `getBuiltinBindingsProvider()` instead.

Restriction:
  This method is not intended to be referenced by clients.